// Garbage v.1.0.0
// This script removes all the dead units that are far enough from the players.
// Execute with: [] execVM "garbage.sqf";
// Alternative syntax: [50] execVM "garbage.sqf"; where 50 is the safe distance in meters.
if (!isServer) exitWith {};
private _minDistance = param [0, 100, [100]];
// Let the animations finish.
sleep 3;
{
	private _dead = _x;
	if (_dead isKindOf "AllVehicles") then {
		private _canBeRemoved = true;
		{
			scopeName "search";
			if ((_dead distance _x) <= _minDistance) then {
				_canBeRemoved = false;
				breakOut "search";
			};
		} forEach playableUnits + switchableUnits;
		if (_canBeRemoved) then {
			deleteVehicle _dead;
			// Level the lag spike.
			sleep 0.1;
		};
	};
} forEach allDead;
